Bug 15951 - Use Font Awesome icons for acquisitions order cancellation confirmation
Summary: Use Font Awesome icons for acquisitions order cancellation confirmation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/acqui/cancelorder.pl
Keywords:
Depends on: 15785
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 18:54 UTC by Owen Leonard
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15951 - Use Font Awesome icons for acquisitions order cancellation confirmation (2.40 KB, patch)
2016-03-02 16:03 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15951: Use Font Awesome icons for acquisitions order cancellation confirmation (2.45 KB, patch)
2016-03-02 19:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15951: Use Font Awesome icons for acquisitions order cancellation confirmation (2.50 KB, patch)
2016-03-03 06:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-01 18:54:12 UTC
In Acquisitions, when you cancel an order you are asked to confirm the operation. The dialog which asks you to confirm should use Font Awesome icons.
Comment 1 Owen Leonard 2016-03-02 16:03:07 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-03-02 19:37:39 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-03 06:58:51 UTC
Created attachment 48585 [details] [review]
[PASSED QA] Bug 15951: Use Font Awesome icons for acquisitions order cancellation confirmation

In Acquisitions, when you delete (cancel) an order, a dialog asks you to
confirm. This dialog should be styled with Font Awesome icons.

Other minor edit: Changing page grid style for centered main content
area.

To test, apply the patch and locate a basket in Acquisitions with an
order.

- View the details for the basket.
- Click the 'Delete' link next to the order you want to delete.
- Confirm that the dialog is correctly styled.
- Test the cancel operation and verify that you are correctly redirected
  back to where you were.
- Test the confirmation operation and verify that your order is deleted.
- Also test the deletion process from Acquisitions -> Vendor -> Invoices
-> Invoice -> Go to receipt page -> Delete order.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-03 22:56:19 UTC
Pushed to Master - Should be in the May 2106 Release.  Thanks